CREATE TABLE KNJIZBE_LOG (
ID_KNJIZBE_LOG NUMBER NOT NULL,
ID_SALDKONT NUMBER,
ID_VOUCHER NUMBER,
ID_SALDKONT_ZAP NUMBER,
DATE_CREATE DATE,
RECORD_DATE DATE,
RECORD_NUMBER VARCHAR2(100 CHAR),
STATUS VARCHAR2(1 CHAR),
DESCRIPTION VARCHAR2(250 CHAR),
CONSTRAINT PK_KNJIZBE_LOG PRIMARY KEY(ID_KNJIZBE_LOG)
)
;

CREATE SEQUENCE KNJIZBE_LOG_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;


DROP VIEW V_REZERVAC;

CREATE OR REPLACE VIEW V_REZERVAC AS (
SELECT R.ID AS ID_REZERVAC, D.ID_REZERVAC_DETAIL, R.ID_POGODBE, D.DATUM_OD AS RD_DATE_FROM, D.DATUM_DO AS RD_DATE_TO, D.TIME_FROM AS RD_TIME_FROM, D.TIME_TO AS RD_TIME_TO,
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT NN.OBJEKT FROM NNPRIVEZ NN, NNOBJEKT NO WHERE NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE RDNP.OBJEKT END) AS RD_OBJEKT, 
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT NN.KATEGORIJA FROM NNPRIVEZ NN, NNOBJEKT NO WHERE NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE RDNP.KATEGORIJA END) AS RD_KATEGORIJA,
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT NN.N_PRIVEZA FROM NNPRIVEZ NN, NNOBJEKT NO WHERE NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE RDNP.N_PRIVEZA END) AS RD_N_PRIVEZA,
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT NN.ID_PRIVEZ FROM NNPRIVEZ NN, NNOBJEKT NO WHERE NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE RDNP.ID_PRIVEZ END) AS RD_ID_PRIVEZ,
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT NN.NAME_PLACING FROM NNPRIVEZ NN, NNOBJEKT NO WHERE NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE RDNP.NAME_PLACING END) AS RD_NAME_PLACING,
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT NN.BOAT_GROUP_PLACING FROM NNPRIVEZ NN, NNOBJEKT NO WHERE NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE RDNP.BOAT_GROUP_PLACING END) AS RD_BOAT_GROUP_PLACING,
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT NN.BOAT_PLACING FROM NNPRIVEZ NN, NNOBJEKT NO WHERE NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE RDNP.BOAT_PLACING END) AS RD_BOAT_PLACING,
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT NN.OCCUPANCY_STATISTICS FROM NNPRIVEZ NN, NNOBJEKT NO WHERE NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE RDNP.OCCUPANCY_STATISTICS END) AS RD_OCCUPANCY_STATISTICS,
R.VRSTA, D.STATUS_REZERVAC AS RD_STATUS_REZERVAC, D.COMPLETE AS RD_COMPLETE, D.VRSTA AS RD_VRSTA, R.ID_LASTNIKA, R.ID_PLOVILA, R.OWNER_NOTIFIED, R.CHECKIN_STATUS, R.HOURLY,
R.DATUM_KREIRANJA AS R_DATUM_KREIRANJA, R.USER_KREIRANJA AS R_USER_KREIRANJA, R.DATUM_SPREMEMBE AS R_DATUM_SPREMEMBE, R.USER_SPREMEMBE AS R_USER_SPREMEMBE,
(CASE WHEN D.STATUS_REZERVAC = 2 THEN 'EXIT' ELSE NNO.OBJECT_TYPE END) AS OBJECT_TYPE,
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT OBLIKA FROM NNOBJEKT WHERE OBJECT_TYPE = 'EXIT') ELSE NNO.OBLIKA END) AS NNOBJEKT_OBLIKA,
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT CENTER_POZICIJA_PLOVILA FROM NNOBJEKT WHERE OBJECT_TYPE = 'EXIT') ELSE NNO.CENTER_POZICIJA_PLOVILA END) AS CENTER_POZICIJA_PLOVILA,
POGNP.OBJEKT AS POGODBA_OBJEKT, POGNP.N_PRIVEZA AS POGODBA_N_PRIVEZA, R.DATUM_REZERVACIJE AS R_DATE_FROM, R.DATUM_DO AS R_DATE_TO, R.TIME_FROM AS R_TIME_FROM, R.TIME_TO AS R_TIME_TO,
RNP.OBJEKT AS R_OBJEKT, RNP.N_PRIVEZA AS R_N_PRIVEZA, RNP.ID_PRIVEZ AS R_ID_PRIVEZ, R.STATUS_REZERVAC AS R_STATUS_REZERVAC,
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT NS.DOLZINA FROM NNPRIVEZ_SVG NS, NNPRIVEZ NN, NNOBJEKT NO WHERE NS.ID_PRIVEZ = NN.ID_PRIVEZ AND NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE NS.DOLZINA END) AS DOLZINA_PRIVEZA, 
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT NS.SIRINA FROM NNPRIVEZ_SVG NS, NNPRIVEZ NN, NNOBJEKT NO WHERE NS.ID_PRIVEZ = NN.ID_PRIVEZ AND NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE NS.SIRINA END) AS SIRINA_PRIVEZA, 
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT NS.TRANS_X FROM NNPRIVEZ_SVG NS, NNPRIVEZ NN, NNOBJEKT NO WHERE NS.ID_PRIVEZ = NN.ID_PRIVEZ AND NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE NS.TRANS_X END) AS TRANS_X_PRIVEZA, 
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT NS.TRANS_Y FROM NNPRIVEZ_SVG NS, NNPRIVEZ NN, NNOBJEKT NO WHERE NS.ID_PRIVEZ = NN.ID_PRIVEZ AND NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE NS.TRANS_Y END) AS TRANS_Y_PRIVEZA, 
(CASE WHEN D.STATUS_REZERVAC = 2 THEN (SELECT NS.ROT_DEGREES FROM NNPRIVEZ_SVG NS, NNPRIVEZ NN, NNOBJEKT NO WHERE NS.ID_PRIVEZ = NN.ID_PRIVEZ AND NN.OBJEKT = NO.SIFRA AND NO.OBJECT_TYPE = 'EXIT') ELSE NS.ROT_DEGREES END) AS ROT_DEGREES_PRIVEZA, 
D.TRANS_X AS TRANS_X_PLOVILA, D.TRANS_Y AS TRANS_Y_PLOVILA, D.ROT_DEGREES AS ROT_DEGREES_PLOVILA, 
R.KOMENTAR, K.ID_MEMBER AS KUPCI_ID_MEMBER, K.INT_CODE AS KUPCI_INT_CODE, RNNLOC.ID AS R_ID_LOCATION, RDNNLOC.ID AS RD_ID_LOCATION,
(SELECT COUNT(*) FROM M_DE_NA WHERE ID_PLOVILA = R.ID_PLOVILA AND (NNLOCATION_ID IS NULL OR NNLOCATION_ID = RDNNLOC.ID) AND UPPER(STATUS) = 'O') AS BOAT_OPEN_WO_NUMBER, 
(SELECT COUNT(*) FROM M_STORITVE WHERE ID_PLOVILA = R.ID_PLOVILA AND (NNLOCATION_ID IS NULL OR NNLOCATION_ID = RDNNLOC.ID) AND UPPER(VRSTA) IN ('PO', 'ST') AND N_RACUNA IS NULL) AS BOAT_OPEN_SERVICES_NUMBER,
RPD.ID_REZERVAC_PERIOD AS ID_REZERVAC_PERIOD, RVR.ACTIVE_LAST_DAY, RVR.ACTIVE_LAST_DAY_WITH_TIMES, R.ID_REZERVAC_GROUP, RGR.RESERVATION_NAME AS GROUP_RESERVATION_NAME,
(CASE WHEN (SELECT COUNT(ID_CONTRACT_BERTH) FROM CONTRACT_BERTH CB WHERE CB.ID_POGODBE = R.ID_POGODBE AND CB.ID_PRIVEZ = D.ID_PRIVEZ) > 0 THEN 'Y' ELSE 'N' END) AS RD_CONTRACT_BERTH,
(CASE WHEN (SELECT COUNT(ID_CONTRACT_BERTH) FROM CONTRACT_BERTH CB LEFT OUTER JOIN V_PRIVEZ_LOCATION PRIV_LOCATION ON CB.ID_PRIVEZ = PRIV_LOCATION.ID_PRIVEZ WHERE CB.ID_POGODBE = R.ID_POGODBE AND NVL(PRIV_LOCATION.NNLOCATION_ID, 0) = NVL(RDNNLOC.ID, 0) ) > 0 THEN 'Y' ELSE 'N' END) AS RD_CONTRACT_BERTH_SAME_LOC,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'CalculateReservationDateTo') = '1' 
THEN ((CASE WHEN R.STATUS_REZERVAC IN ( 0, -1, 1, 2, -10) AND D.DATUM_DO IS NOT NULL AND D.TIME_TO IS NOT NULL AND TRUNC(D.TIME_TO) <> D.TIME_TO THEN D.DATUM_DO - 1 ELSE D.DATUM_DO END)) 
ELSE D.DATUM_DO END) AS RD_CALC_DATE_TO,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.NAZIV ELSE K.PRIIMEK END) AS NAZIV,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.PRIIMEK ELSE K.PRIIMEK END) AS PRIIMEK,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.IME ELSE K.IME END) AS IME, VKB.SALDAKONTI_SIT,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.EMAIL ELSE K.EMAIL END) AS EMAIL,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.TELEFON ELSE K.TELEFON_1 END) AS TELEFON,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN NULL ELSE K.TELEX END) AS TELEX,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.PLOVILO ELSE P.IME END) AS PLOVILO,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.DOLZINA ELSE P.DOLZINA END) AS DOLZINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.SIRINA ELSE P.SIRINA END) AS SIRINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.VISINA ELSE P.VISINA END) AS VISINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.GREZ ELSE P.GREZ END) AS GREZ,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.NTIP ELSE P.NTIP END) AS NTIP,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.DATUM_ZAVAROVANJE ELSE P.DATUM_ZAVAROVANJE END) AS DATUM_ZAVAROVANJE,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.OPIS ELSE NT.OPIS END) AS TIP_PLOVILA_LONG,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.NNTIP_TYPE ELSE NT.NNTIP_TYPE END) AS NNTIP_TYPE,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.DOLZINA ELSE NT.DOLZINA END) AS NNTIP_DOLZINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SIRINA ELSE NT.SIRINA END) AS NNTIP_SIRINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.VISINA ELSE NT.VISINA END) AS NNTIP_VISINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.REGISTRSKA_N END) AS REGISTRSKA_N,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.NZASTAVA END) AS NZASTAVA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE ND.OPIS END) AS NZASTAVA_LONG,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.BARVA ELSE NT.BARVA END) AS BARVA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SVG_OBLIKA_TOP ELSE NT.SVG_OBLIKA_TOP END) AS SVG_OBLIKA_TOP,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SVG_OBLIKA_FRONT ELSE NT.SVG_OBLIKA_FRONT END) AS SVG_OBLIKA_FRONT,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.PROIZVAJALEC END) AS PROIZVAJALEC,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.BOOKING END) AS BOOKING,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.PURPOSE_OF_USE END) AS PURPOSE_OF_USE
FROM REZERVAC R
JOIN REZERVAC_DETAIL D ON R.ID=D.ID_REZERVAC
LEFT OUTER JOIN NNPRIVEZ RDNP ON D.ID_PRIVEZ=RDNP.ID_PRIVEZ
LEFT OUTER JOIN NNPRIVEZ RNP ON R.ID_PRIVEZ=RNP.ID_PRIVEZ
LEFT OUTER JOIN KUPCI K ON K.ID = R.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA P ON P.ID = R.ID_PLOVILA
LEFT OUTER JOIN NNTIP NT ON NT.SIFRA = P.NTIP
LEFT OUTER JOIN NNTIP NTR ON NTR.SIFRA = R.NTIP
LEFT OUTER JOIN NNDRZAVE ND ON ND.SIFRA = P.NZASTAVA
LEFT OUTER JOIN NNOBJEKT NNO ON NNO.SIFRA = RDNP.OBJEKT
LEFT OUTER JOIN M_POGODBE MP ON MP.ID_POGODBE = R.ID_POGODBE
LEFT OUTER JOIN NNPRIVEZ POGNP ON MP.ID_PRIVEZ=POGNP.ID_PRIVEZ
LEFT OUTER JOIN NNPRIVEZ_SVG NS ON NS.ID_PRIVEZ = D.ID_PRIVEZ
LEFT OUTER JOIN NNPOMOL RNPOM ON RNPOM.SIFRA = RNP.KATEGORIJA
LEFT OUTER JOIN NNLOCATION RNNLOC ON RNNLOC.ID = RNPOM.NNLOCATION_ID
LEFT OUTER JOIN NNPOMOL RDNPOM ON RDNPOM.SIFRA = RDNP.KATEGORIJA
LEFT OUTER JOIN NNLOCATION RDNNLOC ON RDNNLOC.ID = RDNPOM.NNLOCATION_ID
LEFT OUTER JOIN REZERVAC_PERIOD_DETAIL RPD ON RPD.ID_REZERVAC = R.ID
LEFT OUTER JOIN REZERVAC_GROUP RGR ON RGR.ID = R.ID_REZERVAC_GROUP
LEFT OUTER JOIN NVRSTA_REZERVAC RVR ON RVR.CODE = R.VRSTA
LEFT OUTER JOIN (SELECT KUPCI_ID, COALESCE(SUM(SALDAKONTI_SIT),0) AS SALDAKONTI_SIT FROM  V_KUPCI_BALANCE GROUP BY KUPCI_ID) VKB ON R.ID_LASTNIKA=VKB.KUPCI_ID
WHERE R.STATUS_REZERVAC >= 0 AND R.DATUM_DO IS NOT NULL
UNION ALL
SELECT R.ID AS ID_REZERVAC, -D.ID_REZERVAC_DETAIL, R.ID_POGODBE, D.DATUM_DO AS RD_DATE_FROM, TRUNC(SYSDATE) + 1 AS RD_DATE_TO, D.TIME_FROM AS RD_TIME_FROM, D.TIME_TO AS RD_TIME_TO,
RDNP.OBJEKT AS RD_OBJEKT, RDNP.KATEGORIJA AS RD_KATEGORIJA, RDNP.N_PRIVEZA AS RD_N_PRIVEZA, RDNP.ID_PRIVEZ AS RD_ID_PRIVEZ, RDNP.NAME_PLACING AS RD_NAME_PLACING, RDNP.BOAT_GROUP_PLACING AS RD_BOAT_GROUP_PLACING, RDNP.BOAT_PLACING AS RD_BOAT_PLACING, RDNP.OCCUPANCY_STATISTICS AS RD_OCCUPANCY_STATISTICS,
R.VRSTA, -10 AS RD_STATUS_REZERVAC, D.COMPLETE AS RD_COMPLETE, D.VRSTA AS RD_VRSTA, R.ID_LASTNIKA, R.ID_PLOVILA, R.OWNER_NOTIFIED, R.CHECKIN_STATUS, R.HOURLY,
R.DATUM_KREIRANJA AS R_DATUM_KREIRANJA, R.USER_KREIRANJA AS R_USER_KREIRANJA, R.DATUM_SPREMEMBE AS R_DATUM_SPREMEMBE, R.USER_SPREMEMBE AS R_USER_SPREMEMBE,
NNO.OBJECT_TYPE, NNO.OBLIKA AS NNOBJEKT_OBLIKA, NNO.CENTER_POZICIJA_PLOVILA AS CENTER_POZICIJA_PLOVILA, POGNP.OBJEKT AS POGODBA_OBJEKT, POGNP.N_PRIVEZA AS POGODBA_N_PRIVEZA, 
R.DATUM_REZERVACIJE AS R_DATE_FROM, R.DATUM_DO AS R_DATE_TO, R.TIME_FROM AS R_TIME_FROM, R.TIME_TO AS R_TIME_TO,
RNP.OBJEKT AS R_OBJEKT, RNP.N_PRIVEZA AS R_N_PRIVEZA, RNP.ID_PRIVEZ AS R_ID_PRIVEZ, R.STATUS_REZERVAC AS R_STATUS_REZERVAC,
NS.DOLZINA AS DOLZINA_PRIVEZA, NS.SIRINA AS SIRINA_PRIVEZA, NS.TRANS_X AS TRANS_X_PRIVEZA, NS.TRANS_Y AS TRANS_Y_PRIVEZA, NS.ROT_DEGREES AS ROT_DEGREES_PRIVEZA,
D.TRANS_X AS TRANS_X_PLOVILA, D.TRANS_Y AS TRANS_Y_PLOVILA, D.ROT_DEGREES AS ROT_DEGREES_PLOVILA, 
R.KOMENTAR, K.ID_MEMBER AS KUPCI_ID_MEMBER, K.INT_CODE AS KUPCI_INT_CODE, RNNLOC.ID AS R_ID_LOCATION, RDNNLOC.ID AS RD_ID_LOCATION,
(SELECT COUNT(*) FROM M_DE_NA WHERE ID_PLOVILA = R.ID_PLOVILA AND (NNLOCATION_ID IS NULL OR NNLOCATION_ID = RDNNLOC.ID) AND UPPER(STATUS) = 'O') AS BOAT_OPEN_WO_NUMBER, 
(SELECT COUNT(*) FROM M_STORITVE WHERE ID_PLOVILA = R.ID_PLOVILA AND (NNLOCATION_ID IS NULL OR NNLOCATION_ID = RDNNLOC.ID) AND UPPER(VRSTA) IN ('PO', 'ST') AND N_RACUNA IS NULL) AS BOAT_OPEN_SERVICES_NUMBER,
RPD.ID_REZERVAC_PERIOD AS ID_REZERVAC_PERIOD, NULL, NULL, R.ID_REZERVAC_GROUP, RGR.RESERVATION_NAME AS GROUP_RESERVATION_NAME,
(CASE WHEN (SELECT COUNT(ID_CONTRACT_BERTH) FROM CONTRACT_BERTH CB WHERE CB.ID_POGODBE = R.ID_POGODBE AND CB.ID_PRIVEZ = D.ID_PRIVEZ) > 0 THEN 'Y' ELSE 'N' END) AS RD_CONTRACT_BERTH,
(CASE WHEN (SELECT COUNT(ID_CONTRACT_BERTH) FROM CONTRACT_BERTH CB LEFT OUTER JOIN V_PRIVEZ_LOCATION PRIV_LOCATION ON CB.ID_PRIVEZ = PRIV_LOCATION.ID_PRIVEZ WHERE CB.ID_POGODBE = R.ID_POGODBE AND NVL(PRIV_LOCATION.NNLOCATION_ID, 0) = NVL(RDNNLOC.ID, 0) ) > 0 THEN 'Y' ELSE 'N' END) AS RD_CONTRACT_BERTH_SAME_LOC,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'CalculateReservationDateTo') = '1' 
THEN ((CASE WHEN R.STATUS_REZERVAC IN ( 0, -1, 1, 2, -10) AND D.DATUM_DO IS NOT NULL AND D.TIME_TO IS NOT NULL AND TRUNC(D.TIME_TO) <> D.TIME_TO THEN D.DATUM_DO - 1 ELSE D.DATUM_DO END)) 
ELSE D.DATUM_DO END) AS RD_CALC_DATE_TO,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.NAZIV ELSE K.PRIIMEK END) AS NAZIV,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.PRIIMEK ELSE K.PRIIMEK END) AS PRIIMEK,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.IME ELSE K.IME END) AS IME, VKB.SALDAKONTI_SIT,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.EMAIL ELSE K.EMAIL END) AS EMAIL,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.TELEFON ELSE K.TELEFON_1 END) AS TELEFON,
(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN NULL ELSE K.TELEX END) AS TELEX,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.PLOVILO ELSE P.IME END) AS PLOVILO,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.DOLZINA ELSE P.DOLZINA END) AS DOLZINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.SIRINA ELSE P.SIRINA END) AS SIRINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.VISINA ELSE P.VISINA END) AS VISINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.GREZ ELSE P.GREZ END) AS GREZ,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.NTIP ELSE P.NTIP END) AS NTIP,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.DATUM_ZAVAROVANJE ELSE P.DATUM_ZAVAROVANJE END) AS DATUM_ZAVAROVANJE,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.OPIS ELSE NT.OPIS END) AS TIP_PLOVILA_LONG,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.NNTIP_TYPE ELSE NT.NNTIP_TYPE END) AS NNTIP_TYPE,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.DOLZINA ELSE NT.DOLZINA END) AS NNTIP_DOLZINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SIRINA ELSE NT.SIRINA END) AS NNTIP_SIRINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.VISINA ELSE NT.VISINA END) AS NNTIP_VISINA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.REGISTRSKA_N END) AS REGISTRSKA_N,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.NZASTAVA END) AS NZASTAVA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE ND.OPIS END) AS NZASTAVA_LONG,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.BARVA ELSE NT.BARVA END) AS BARVA,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SVG_OBLIKA_TOP ELSE NT.SVG_OBLIKA_TOP END) AS SVG_OBLIKA_TOP,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NTR.SVG_OBLIKA_FRONT ELSE NT.SVG_OBLIKA_FRONT END) AS SVG_OBLIKA_FRONT,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.PROIZVAJALEC END) AS PROIZVAJALEC,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.BOOKING END) AS BOOKING,
(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN NULL ELSE P.PURPOSE_OF_USE END) AS PURPOSE_OF_USE
FROM REZERVAC R
JOIN REZERVAC_DETAIL D ON R.ID=D.ID_REZERVAC
LEFT OUTER JOIN NNPRIVEZ RDNP ON D.ID_PRIVEZ=RDNP.ID_PRIVEZ
LEFT OUTER JOIN NNPRIVEZ RNP ON R.ID_PRIVEZ=RNP.ID_PRIVEZ
LEFT OUTER JOIN KUPCI K ON K.ID = R.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA P ON P.ID = R.ID_PLOVILA
LEFT OUTER JOIN NNTIP NT ON NT.SIFRA = P.NTIP
LEFT OUTER JOIN NNTIP NTR ON NTR.SIFRA = R.NTIP
LEFT OUTER JOIN NNDRZAVE ND ON ND.SIFRA = P.NZASTAVA
LEFT OUTER JOIN NNOBJEKT NNO ON NNO.SIFRA = RDNP.OBJEKT
LEFT OUTER JOIN M_POGODBE MP ON MP.ID_POGODBE = R.ID_POGODBE
LEFT OUTER JOIN NNPRIVEZ POGNP ON MP.ID_PRIVEZ=POGNP.ID_PRIVEZ
LEFT OUTER JOIN NNPRIVEZ_SVG NS ON NS.ID_PRIVEZ = D.ID_PRIVEZ
LEFT OUTER JOIN NNPOMOL RNPOM ON RNPOM.SIFRA = RNP.KATEGORIJA
LEFT OUTER JOIN NNLOCATION RNNLOC ON RNNLOC.ID = RNPOM.NNLOCATION_ID
LEFT OUTER JOIN NNPOMOL RDNPOM ON RDNPOM.SIFRA = RDNP.KATEGORIJA
LEFT OUTER JOIN NNLOCATION RDNNLOC ON RDNNLOC.ID = RDNPOM.NNLOCATION_ID
LEFT OUTER JOIN REZERVAC_PERIOD_DETAIL RPD ON RPD.ID_REZERVAC = R.ID
LEFT OUTER JOIN REZERVAC_GROUP RGR ON RGR.ID = R.ID_REZERVAC_GROUP
LEFT OUTER JOIN (SELECT KUPCI_ID, COALESCE(SUM(SALDAKONTI_SIT),0) AS SALDAKONTI_SIT FROM  V_KUPCI_BALANCE GROUP BY KUPCI_ID) VKB ON R.ID_LASTNIKA=VKB.KUPCI_ID
WHERE R.DATUM_DO IS NOT NULL AND R.STATUS_REZERVAC = 1 AND D.DATUM_DO <= TRUNC(SYSDATE) AND D.ID_REZERVAC_DETAIL IN 
(SELECT ID_REZERVAC_DETAIL FROM REZERVAC_DETAIL WHERE DATUM_DO = (SELECT MAX(D2.DATUM_DO) FROM REZERVAC_DETAIL D2 WHERE D2.STATUS_REZERVAC = 1 AND D2.COMPLETE = 'Y' AND D2.ID_REZERVAC = R.ID))
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2093, SYSDATE, '5.5', 2013, 'KNJIZBE_LOG, V_REZERVAC')
;
